Bug 1172587

Summary: RFC: rxvt-unicode should store communication socket within XDG_RUNTIME_DIR
Product: [Fedora] Fedora Reporter: Peter Lemenkov <lemenkov>
Component: rxvt-unicodeAssignee: Jamie Nguyen <jamielinux>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: andreas.bierfert, jamielinux, mlichvar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rxvt-unicode-9.21-3.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-20 21:04:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Initial patch none

Description Peter Lemenkov 2014-12-10 12:40:15 UTC
Created attachment 966769 [details]
Initial patch

Right now urxvtd creates Unix socket withit ~/ directory:

* https://github.com/exg/rxvt-unicode/blob/540ae9f/src/rxvtdaemon.C#L46-57

According to the XDG standards it should be stored somewhere within XDG_RUNTIME_DIR:

* https://developer.gnome.org/basedir-spec/

So let's do it! Here is my patch which simply adds check for XDG_RUNTIME_DIR before checking for ~/. I think we could even remove check for ~/ but this couldn't be accepted by upstream.

Comment 1 Fedora Update System 2014-12-17 14:51:03 UTC
rxvt-unicode-9.20-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.20-6.fc21

Comment 2 Fedora Update System 2014-12-18 06:07:27 UTC
Package rxvt-unicode-9.20-6.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rxvt-unicode-9.20-6.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17159/rxvt-unicode-9.20-6.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-01-03 08:57:21 UTC
rxvt-unicode-9.21-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.el7

Comment 4 Fedora Update System 2015-01-03 08:57:29 UTC
rxvt-unicode-9.21-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.el6

Comment 5 Fedora Update System 2015-01-03 08:57:40 UTC
rxvt-unicode-9.21-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.fc21

Comment 6 Fedora Update System 2015-01-03 08:57:48 UTC
rxvt-unicode-9.21-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.fc20

Comment 7 Fedora Update System 2015-01-20 21:04:29 UTC
rxvt-unicode-9.21-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-20 21:06:25 UTC
rxvt-unicode-9.21-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-01-24 18:46:57 UTC
rxvt-unicode-9.21-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-01-24 18:49:24 UTC
rxvt-unicode-9.21-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.